import * as ts from "typescript";
import * as uml from "./uml/index";
export interface ITypeScriptUmlOptions {
    formatter?: "yuml";
}
export declare class TypeScriptUml {
    static parseUmlProgram(filenames: string[], scriptTarget?: ts.ScriptTarget): uml.Program;
    static generateClassDiagram(program: uml.Program, options?: ITypeScriptUmlOptions): string;
    private constructor();
}
