import * as Collections from "typescript-collections";
import { UmlAssociation } from "./umlAssociation";
import { UmlGeneralization } from "./umlGeneralization";
import { UmlNode } from "./umlNode";
export declare type UmlNodeDict = Collections.Dictionary<string, UmlNode>;
export declare class UmlProgram {
    private _nodes;
    private _associations;
    private _generalizations;
    nodes: UmlNodeDict;
    associations: UmlAssociation[];
    generalizations: UmlGeneralization[];
    constructor();
}
